from django import forms
from django.forms import ClearableFileInput
from fotos.models import UploadedImage

class UploadedImageForm(forms.ModelForm):

    def __init__(self, *args, **kwargs):
        super(forms.ModelForm, self).__init__(*args, **kwargs)
        self.fields['files'].label = 'Archivos'

    class Meta:
        model = UploadedImage
        fields = [ 'files' ]
        widgets = {
            'files': ClearableFileInput(attrs = {'multiple': True})
        }
